#ifndef OE_UI_VIEWPORTOPTIONS_H
#define OE_UI_VIEWPORTOPTIONS_H

#include "main.h"
#include <QWidget>
#include <QHBoxLayout>
#include <qtmaterialiconbutton.h>

class MainWindow;
class OE_ui_viewportOptions : public QHBoxLayout
{
    Q_OBJECT
public:
    OE_ui_viewportOptions(MainWindow* window, OE_root* root);

    OE_controller* getController();
    OE_interfaceDisplay* getInterfaceDisplay();
    OE_document* getDocument();
private:
    void topGlWindowBar();
    QtMaterialIconButton* setIconButton(QString iconFile, const QObject *receiver, const char * method);
    OE_root* root;
    MainWindow* window;

    QtMaterialIconButton* gridButton;
    QtMaterialIconButton* hoopButton;
    QtMaterialIconButton* showCurvesButton;
    QtMaterialIconButton* showStitchButton;
    QtMaterialIconButton* selectCurvesButton;
    QtMaterialIconButton* selectStitchButton;
signals:

public slots:
    void onRefresh();

    void onToggleGrid();
    void onToggleHoop();
    void onToggleShowCurve();
    void onToggleShowStitch();
    void onToggleSelectCurve();
    void onToggleSelectStitch();
};

#endif // OE_UI_VIEWPORTOPTIONS_H
